#ifndef MARS_MHAlphaEnergyTheta
#define MARS_MHAlphaEnergyTheta

#ifndef MARS_MH
#include "MH.h"
#endif

#ifndef ROOT_TH3
#include <TH3.h>
#endif

class MMcEvt;
class MHillasSrc;
class MEnergyEst;
class MParList;

class MHAlphaEnergyTheta : public MH
{
private:
    MMcEvt     *fMcEvt;  //!
    MHillasSrc *fHillas; //!
    MEnergyEst *fEnergy; //!

    TH3D fHist;

public:
    MHAlphaEnergyTheta(const char *name=NULL, const char *title=NULL);

    Bool_t SetupFill(const MParList *pList);
    Bool_t Fill(const MParContainer *par, const Stat_t w=1);

    const TH3D *GetHist()       { return &fHist; }
    const TH3D *GetHist() const { return &fHist; }

    TH1 *GetHistByName(const TString name) { return &fHist; }

    void Draw(Option_t *option="");

    ClassDef(MHAlphaEnergyTheta, 0) //3D-histogram in alpha, Energy and theta
};

#endif
